/*
Phenotyper - a tool for collecting phenotyping data using mobile terminals
Copyright (C) 2015,  jgremmels(at)bioinformatics.org

Phenotyper is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>

Contributors:
jgremmels(at)bioinformatics.org - initial API and implementation
*/

CREATE DATABASE  IF NOT EXISTS `PhenotypingSchemeComposer` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `PhenotypingSchemeComposer`;
-- MySQL dump 10.13  Distrib 5.5.16, for Win32 (x86)
--
-- Host: cosmos    Database: PhenotypingSchemeComposer
-- ------------------------------------------------------
-- Server version	5.1.61

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `project_entity`
--

DROP TABLE IF EXISTS `project_entity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `project_entity` (
  `project_entity_id` smallint(6) NOT NULL AUTO_INCREMENT,
  `entity_id` smallint(6) NOT NULL,
  `project_id` smallint(6) NOT NULL,
  PRIMARY KEY (`project_entity_id`),
  KEY `project_entity_fk1` (`entity_id`),
  KEY `project_entity_fk2` (`project_id`),
  CONSTRAINT `project_entity_fk1` FOREIGN KEY (`entity_id`) REFERENCES `test_mpiscore_entities` (`OrganID`),
  CONSTRAINT `project_entity_fk2` FOREIGN KEY (`project_id`) REFERENCES `project` (`project_id`)
) ENGINE=InnoDB AUTO_INCREMENT=44 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `testprogramm_entity`
--

DROP TABLE IF EXISTS `testprogramm_entity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `testprogramm_entity` (
  `Testprogramm_Entity_id` smallint(6) NOT NULL AUTO_INCREMENT,
  `testprogramm` smallint(6) DEFAULT NULL,
  `Entity` smallint(6) DEFAULT NULL,
  `Value` smallint(6) DEFAULT NULL,
  `OrderNumber` smallint(6) DEFAULT NULL,
  PRIMARY KEY (`Testprogramm_Entity_id`),
  KEY `testprogramm_entity_FK1` (`testprogramm`),
  KEY `testprogramm_entity_FK2` (`Entity`),
  KEY `testprogramm_entity_FK3` (`Value`),
  CONSTRAINT `testprogramm_entity_FK1` FOREIGN KEY (`testprogramm`) REFERENCES `testprogramme` (`Testprogramm_id`),
  CONSTRAINT `testprogramm_entity_FK2` FOREIGN KEY (`Entity`) REFERENCES `test_mpiscore_entities` (`OrganID`),
  CONSTRAINT `testprogramm_entity_FK3` FOREIGN KEY (`Value`) REFERENCES `test_mpiscore_values` (`ValueID`)
) ENGINE=InnoDB AUTO_INCREMENT=1106 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `test_mpiscore_entities`
--

DROP TABLE IF EXISTS `test_mpiscore_entities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `test_mpiscore_entities` (
  `OrganID` smallint(6) NOT NULL AUTO_INCREMENT,
  `Parameter` varchar(50) DEFAULT NULL,
  `Parameter_dt` varchar(50) DEFAULT NULL,
  `TROST` tinyint(1) DEFAULT NULL,
  `Arabidopsis` tinyint(1) DEFAULT NULL,
  `Plant` tinyint(1) DEFAULT NULL,
  `Population` tinyint(1) DEFAULT NULL,
  `Ecosystem` tinyint(1) DEFAULT NULL,
  `PO_id` varchar(50) DEFAULT NULL,
  `definition` varchar(300) DEFAULT NULL,
  PRIMARY KEY (`OrganID`)
) ENGINE=InnoDB AUTO_INCREMENT=812 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `operator_role`
--

DROP TABLE IF EXISTS `operator_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `operator_role` (
  `operator_role_id` int(11) NOT NULL AUTO_INCREMENT,
  `operator_id` smallint(5) unsigned NOT NULL,
  `role_id` int(11) NOT NULL,
  PRIMARY KEY (`operator_role_id`),
  KEY `operator_role_fk1` (`operator_id`),
  KEY `operator_role_fk2` (`role_id`),
  CONSTRAINT `operator_role_fk1` FOREIGN KEY (`operator_id`) REFERENCES `operator` (`operator_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `operator_role_fk2` FOREIGN KEY (`role_id`) REFERENCES `role` (`role_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `bbch0506`
--

DROP TABLE IF EXISTS `bbch0506`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bbch0506` (
  `BBCH` smallint(6) NOT NULL AUTO_INCREMENT,
  `Tomate_d` varchar(200) DEFAULT NULL,
  `Tomate_e` varchar(200) DEFAULT NULL,
  `Rice_e` varchar(200) DEFAULT NULL,
  `Rice_d` varchar(200) DEFAULT NULL,
  `Ara_d` varchar(200) DEFAULT NULL,
  `Ara_e` varchar(200) DEFAULT NULL,
  `Kartoffel_d` varchar(200) DEFAULT NULL,
  `Kartoffel_e` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`BBCH`)
) ENGINE=InnoDB AUTO_INCREMENT=101 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `test_object_type`
--

DROP TABLE IF EXISTS `test_object_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `test_object_type` (
  `test_object_type_id` int(11) NOT NULL AUTO_INCREMENT,
  `test_object_name` varchar(45) NOT NULL,
  `test_object_name_D` varchar(45) NOT NULL,
  PRIMARY KEY (`test_object_type_id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `test_mpiscore_values`
--

DROP TABLE IF EXISTS `test_mpiscore_values`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `test_mpiscore_values` (
  `ValueID` smallint(6) NOT NULL AUTO_INCREMENT,
  `Attribut_E` varchar(50) DEFAULT NULL,
  `value` varchar(50) DEFAULT NULL,
  `Attribut_D` varchar(50) DEFAULT NULL,
  `Wert_D` varchar(50) DEFAULT NULL,
  `code` smallint(6) DEFAULT NULL,
  `code_soure` smallint(6) DEFAULT NULL,
  `TROST` bit(1) DEFAULT NULL,
  PRIMARY KEY (`ValueID`)
) ENGINE=InnoDB AUTO_INCREMENT=254 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `testprogramme_operator`
--

DROP TABLE IF EXISTS `testprogramme_operator`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `testprogramme_operator` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `testprogramm` smallint(6) NOT NULL,
  `operator` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `testprogramme_operator_FK1` (`operator`),
  KEY `testprogramme_operator_FK2` (`testprogramm`),
  CONSTRAINT `testprogramme_operator_FK1` FOREIGN KEY (`operator`) REFERENCES `operator` (`operator_id`),
  CONSTRAINT `testprogramme_operator_FK2` FOREIGN KEY (`testprogramm`) REFERENCES `testprogramme` (`Testprogramm_id`)
) ENGINE=InnoDB AUTO_INCREMENT=70 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `project`
--

DROP TABLE IF EXISTS `project`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `project` (
  `project_id` smallint(6) NOT NULL AUTO_INCREMENT,
  `name` varchar(45) NOT NULL,
  PRIMARY KEY (`project_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `operator`
--

DROP TABLE IF EXISTS `operator`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `operator` (
  `operator_id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `login` varchar(255) CHARACTER SET ucs2 NOT NULL,
  `password` varchar(255) CHARACTER SET ucs2 NOT NULL,
  `first_name` varchar(255) CHARACTER SET ucs2 NOT NULL,
  `last_name` varchar(255) CHARACTER SET ucs2 NOT NULL,
  `allow_login` bit(1) NOT NULL DEFAULT b'0',
  PRIMARY KEY (`operator_id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `value_groups`
--

DROP TABLE IF EXISTS `value_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `value_groups` (
  `value_groups_id` smallint(6) unsigned NOT NULL AUTO_INCREMENT,
  `value_id` smallint(6) DEFAULT NULL,
  `value_group` smallint(6) DEFAULT NULL,
  PRIMARY KEY (`value_groups_id`),
  KEY `value_groups_FK1` (`value_id`),
  CONSTRAINT `value_groups_FK1` FOREIGN KEY (`value_id`) REFERENCES `test_mpiscore_values` (`ValueID`)
) ENGINE=InnoDB AUTO_INCREMENT=247 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `role`
--

DROP TABLE IF EXISTS `role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `role` (
  `role_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(45) NOT NULL,
  `description` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`role_id`),
  UNIQUE KEY `role_id` (`role_id`),
  UNIQUE KEY `name_UNIQUE` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `project_value`
--

DROP TABLE IF EXISTS `project_value`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `project_value` (
  `project_value_id` smallint(6) NOT NULL AUTO_INCREMENT,
  `project_id` smallint(6) NOT NULL,
  `value_id` smallint(6) NOT NULL,
  PRIMARY KEY (`project_value_id`),
  KEY `project_value_fk1` (`value_id`),
  KEY `project_value_fk2` (`project_id`),
  CONSTRAINT `project_value_fk1` FOREIGN KEY (`value_id`) REFERENCES `test_mpiscore_values` (`ValueID`),
  CONSTRAINT `project_value_fk2` FOREIGN KEY (`project_id`) REFERENCES `project` (`project_id`)
) ENGINE=InnoDB AUTO_INCREMENT=247 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `testprogramme`
--

DROP TABLE IF EXISTS `testprogramme`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `testprogramme` (
  `Testprogramm_id` smallint(6) NOT NULL AUTO_INCREMENT,
  `Testprogrammname` varchar(200) DEFAULT NULL,
  `Version` varchar(20) DEFAULT NULL,
  `Messobjekt` varchar(100) DEFAULT NULL,
  `Description` varchar(500) DEFAULT NULL,
  `TestObjectType` int(11) NOT NULL,
  PRIMARY KEY (`Testprogramm_id`),
  KEY `testprogramme_FK1` (`TestObjectType`),
  CONSTRAINT `testprogramme_FK1` FOREIGN KEY (`TestObjectType`) REFERENCES `test_object_type` (`test_object_type_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=73 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-11-27 10:45:27
