/*
Phenotyper - a tool for collecting phenotyping data using mobile terminals
Copyright (C) 2015,  jgremmels(at)bioinformatics.org

Phenotyper is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>

Contributors:
jgremmels(at)bioinformatics.org - initial API and implementation
*/

package mpimp.phenotypingschemecomposer.util;

import mpimp.phenotypingschemecomposer.db.TPCDataRecord;
import mpimp.phenotypingschemecomposer.db.TPCModel;
import mpimp.phenotypingschemecomposer.db.TestProgramEntityRecord;

public class OrderNumberComparator extends TPCBasicComparator {

	public OrderNumberComparator(TPCModel tpcModel) {
		super(tpcModel);
	}

	public OrderNumberComparator(TPCModel tpcModel, Boolean sortAscending) {
		super(tpcModel, sortAscending);
	}

	@Override
	protected int doComparation(TPCDataRecord firstRecord,
			TPCDataRecord secondRecord) {
		int ret = 0;
		if (firstRecord != null && secondRecord != null) {
			if (firstRecord instanceof TestProgramEntityRecord
					&& secondRecord instanceof TestProgramEntityRecord) {
				return doStandardComparation(
						((TestProgramEntityRecord) firstRecord)
								.getOrderNumber(),
						((TestProgramEntityRecord) secondRecord)
								.getOrderNumber());
			}
		} else if (firstRecord == null && secondRecord != null) {
			ret = -1;
		} else if (firstRecord != null && secondRecord == null) {
			ret = 1;
		}
		return ret;
	}

}
